#
# spec file for package ocaml-calendar
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%bcond_with ocaml_calendar_testsuite
%define build_flavor %nil
%if "%build_flavor" == "testsuite"
%if %{without ocaml_calendar_testsuite}
ExclusiveArch:  do-not-build
%endif
%define nsuffix -testsuite
%else
%define nsuffix %nil
%endif

%define     pkg ocaml-calendar
Name:           %pkg%nsuffix
Version:        3.0.0
Release:        150600.1.4
%{?ocaml_preserve_bytecode}
Summary:        Objective Caml library for managing dates and times
License:        LGPL-2.0-only
Group:          Development/Languages/OCaml
URL:            https://opam.ocaml.org/packages/calendar
Source0:        %pkg-%version.tar.xz
BuildRequires:  ocaml
BuildRequires:  ocaml-dune
BuildRequires:  ocaml-rpm-macros >= 20230101
%if 1
BuildRequires:  ocamlfind(re)
BuildRequires:  ocamlfind(unix)
%endif

%if "%build_flavor" == "testsuite"
BuildRequires:  ocamlfind(calendar)
BuildRequires:  ocamlfind(alcotest)
%endif

%description
Objective Caml library for managing dates and times.

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1 -n %pkg-%version

%build
dune_release_pkgs='calendar'
%ocaml_dune_setup
%if "%build_flavor" == ""
%ocaml_dune_build
%endif

%install
%if "%build_flavor" == ""
%ocaml_dune_install
%ocaml_create_file_list
%endif

%if "%build_flavor" == "testsuite"
%check
dune_test_tolerate_fail='dune_test_tolerate_fail'
%ocaml_dune_test
%endif

%if "%build_flavor" == ""
%files -f %name.files

%files devel -f %name.files.devel

%endif

%changelog
* Sun Jan  1 2023 ohering@suse.de
- Update to version 3.0.0
  See included CHANGES for details
- Remove obsolete ocaml-calendar.patch
* Thu Jan 21 2021 ohering@suse.de
- use release revision and ocaml-calendar.patch
* Thu May 14 2020 ohering@suse.de
- The filename for rpm *.attr files and the tag used within these
  files must match. Otherwise rpm will not execute the helper scripts.
  Use helper 'suseocaml' in addition to 'ocaml' to avoid
  filename conflicts with rpm-build.rpm (bsc#1154874)
* Thu Feb 20 2020 ohering@suse.de
- Require current ocaml-rpm-macros
- Build conditionally with ocaml-alcotest
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
- Use _service file
- Remove obsolete calendar-2.04-enable-debug.patch and
  ocaml-calendar-buildcompare.patch
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Mon Jul 17 2017 ohering@suse.de
- Remove autodeps for pre openSUSE 12.1 releases
* Mon May 30 2016 ohering@suse.de
- Fix build with ocaml-4.03 (fate#320836)
  ocaml-calendar-buildcompare.patch
* Tue Nov 10 2015 ohering@suse.de
- Add hardcoded Provides for pre 12.1 repos
* Tue Sep 15 2015 mlatimer@suse.com
- Remove calendarFAQ-2.6.txt from -devel package due to licensing
  concerns.
* Mon Dec  8 2014 mlatimer@suse.com
- Update spec file to use ocaml-rpm-macros, remove ExclusiveArch,
  and ensure bytecode is built.
* Fri Dec  5 2014 mlatimer@suse.com
- Initial commit using upstream version 2.04.
